pkgCacheFile Class Reference
Collaboration diagram for pkgCacheFile:
[legend]

## Classes

struct | Private

## Public Member Functions

| operator pkgCache & () const
| operator pkgCache * () const
| operator pkgDepCache & () const
| operator pkgDepCache * () const
| operator pkgPolicy & () const
| operator pkgPolicy * () const
| operator pkgSourceList & () const
| operator pkgSourceList * () const
pkgDepCache * | operator-> () const
pkgDepCache & | operator* () const
pkgDepCache::StateCache & | operator[] (pkgCache::PkgIterator const &I) const
unsigned char & | operator[] (pkgCache::DepIterator const &I) const
bool | BuildCaches (OpProgress *Progress=NULL, bool WithLock=true)
bool | BuildSourceList (OpProgress *Progress=NULL)
bool | BuildPolicy (OpProgress *Progress=NULL)
bool | BuildDepCache (OpProgress *Progress=NULL)
bool | Open (OpProgress *Progress=NULL, bool WithLock=true)
bool | ReadOnlyOpen (OpProgress *Progress=NULL)
void | Close ()
bool | AddIndexFile (pkgIndexFile *const File)
void | InhibitActionGroups (bool yes)
pkgCache * | GetPkgCache ()
pkgDepCache * | GetDepCache ()
pkgPolicy * | GetPolicy ()
pkgSourceList * | GetSourceList ()
bool | IsPkgCacheBuilt () const
bool | IsDepCacheBuilt () const
bool | IsPolicyBuilt () const
bool | IsSrcListBuilt () const
| pkgCacheFile (pkgDepCache *const Owner)

## Static Public Member Functions

static void | RemoveCaches ()

## Public Attributes

pkgPolicy * | Policy

## Protected Attributes

MMap * | Map
pkgCache * | Cache
pkgDepCache * | DCache
pkgSourceList * | SrcList

The documentation for this class was generated from the following files:

- apt-pkg/cachefile.h
- apt-pkg/cachefile.cc